Awi = 16.548	-- Querschnitt einer Wicklung
Iges= 30		-- Gesamtstrom A
Nwi = 15		-- Windungszahl
IAB = -0.3333333*Iges*Nwi/Awi  -- Fall B+ /C-
ICA = -0.3333333*Iges*Nwi/Awi
IBC =  0.6666666*Iges*Nwi/Awi

handle=openfile("Test0\\LRK1-Daten.txt","a");
str=format("Precision 10e-8 / 30A,15Wdg / 2*4Reihen Dreiecke LRK31-Mot2 \n")
write(handle, str)
str=format("     phi     Iges       FX   Torque    Bring   BstegW   BstegF  Bmagnet    Bluft\n")
write(handle, str)
closefile(handle)

--		Schleife ber alle Flle
phi0= 42.8571429
dphi= 1.19048  -- 2.8571429
for n=0,24,1 do
	phi=phi0 + n*dphi
	open_femm_file("LRK31_Mot2.FEM")
	modifymaterial ("ICA+", 4, ICA)	
	modifymaterial ("ICA-", 4,-ICA)
	modifymaterial ("IBC+", 4, IBC)	
	modifymaterial ("IBC-", 4,-IBC)
	modifymaterial ("IAB+", 4, IAB)	
	modifymaterial ("IAB-", 4,-IAB)
	seteditmode("group")
	selectgroup(1)
	move_rotate(0,0,phi,4)	
	save_femm_file("temp.fem")
	analyse()
	handle=openfile("tempfile","w");
	write(handle,n,"  ",phi,"  ",phi0,"  ",Iges,"\n");
	closefile(handle);
	runpost("LRK1-post.lua")
end
	
